%define shortname psd
Name:           profile-sync-daemon
Version:        6.34
Release:        1%{?dist}
Summary:        A tiny pseudo-daemon designed to manage your browser's profile in RAM
BuildArch:      noarch

License:        MIT 
URL:            https://github.com/graysky2/profile-sync-daemon
Source0:        %{url}/archive/v%{version}.tar.gz

BuildRequires: make 
Requires:  bash >= 4.0
Requires:  coreutils
Requires:  findutils
Requires:  kmod 
Requires:  rsync 
Requires:  systemd 

%description
Profile-sync-daemon (psd) is a tiny pseudo-daemon designed to manage your
browser's profile in tmpfs and to periodically sync it back to your physical
disc (HDD/SSD). This is accomplished via a symlinking step and an innovative use
of rsync to maintain back-up and synchronization between the two. One of the
major design goals of psd is a completely transparent user experience.

%prep
%autosetup


%build
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%make_install


%files
%license LICENSE MIT
%doc README.md

%{_bindir}/%{name}
%{_bindir}/%{shortname}
%{_bindir}/%{shortname}-overlay-helper

%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/%{shortname}-overlay-helper.1.gz
%{_mandir}/man1/%{shortname}.1.gz

%{_exec_prefix}/lib/systemd/user/%{shortname}-resync.service
%{_exec_prefix}/lib/systemd/user/%{shortname}-resync.timer
%{_exec_prefix}/lib/systemd/user/%{shortname}.service

%{_datadir}/zsh/site-functions/_%{shortname}
%{_datadir}/%{shortname}/*

%changelog
* Wed Mar 13 2019 Charis P. Michelakis <ch.p.mxs@gmail.com> - 6.34-1
- Initial RPM release 
